diff -uNrd ircd-hybrid-6.4.1/include/client.h ircd-hyb6.4.1-FDFr5.4/include/client.h
--- ircd-hybrid-6.4.1/include/client.h	Sat Aug 16 15:10:44 2003
+++ ircd-hyb6.4.1-FDFr5.4/include/client.h	Wed Oct 15 20:38:25 2003
@@ -17,7 +17,7 @@
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
  *
- * $Id: client.h,v 1.71 2003/08/16 19:10:44 ievil Exp $
+ * $Id: client.h,v 1.5 2003/10/09 03:49:54 jailbird Exp $
  */
 #ifndef INCLUDED_client_h
 #define INCLUDED_client_h
@@ -235,6 +235,9 @@
   time_t            last_nick_change;
   int               number_of_nick_changes;
 #endif
+#ifdef ANTI_IP_SPOOF
+  int               random_ping;    /* spoofers won't see this */
+#endif
   time_t            last_knock; /* don't allow knock to flood */
   /*
    * client->sockhost contains the ip address gotten from the socket as a
@@ -288,17 +291,8 @@
  * ts stuff:
  *  if TS5_ONLY is defined, TS_MIN is 5, else 3
  */
-#ifdef TS5
 #define TS_CURRENT	5
-#else
-#define TS_CURRENT	3
-#endif
-
-#ifdef TS5_ONLY
 #define TS_MIN   	5
-#else
-#define TS_MIN          3       /* minimum supported TS protocol version */
-#endif
 
 #define TS_DOESTS       0x20000000
 #define DoesTS(x)       ((x)->tsinfo == TS_DOESTS)
@@ -314,7 +308,6 @@
 #define FLAGS_CLOSING      0x0020 /* set when closing to suppress errors */
 #define FLAGS_CHKACCESS    0x0040 /* ok to check clients access if set */
 #define FLAGS_GOTID        0x0080 /* successful ident lookup achieved */
-#define FLAGS_NEEDID       0x0100 /* I-lines say must use ident return */
 #define FLAGS_NONL         0x0200 /* No \n in buffer */
 #define FLAGS_NORMALEX     0x0400 /* Client exited normally */
 #define FLAGS_SENDQEX      0x0800 /* Sendq exceeded */
@@ -348,6 +341,9 @@
 #define FLAGS2_E_LINED      0x0004      /* client is graced with E line */
 #define FLAGS2_B_LINED      0x0008      /* client is graced with B line */
 #define FLAGS2_F_LINED      0x0010      /* client is graced with F line */
+#ifdef ANTI_IP_SPOOF
+# define FLAGS2_GOT_ANTI_SPOOF_PING     0x1000
+#endif
 #define FLAGS2_EXEMPTGLINE  0x2000      /* client can't be G-lined */
 
 /* oper priv flags */
@@ -419,7 +415,7 @@
                       FLAGS_SPY | FLAGS_DEBUG | FLAGS_BOTS)
 #endif /* LOCOP_UMODES */
 
-#define FLAGS_ID     (FLAGS_NEEDID | FLAGS_GOTID)
+#define FLAGS_ID     (FLAGS_GOTID)
 
 /*
  * flags macros.
@@ -473,9 +469,6 @@
 #define SetIpHash(x)            ((x)->flags |= FLAGS_IPHASH)
 #define ClearIpHash             ((x)->flags &= ~FLAGS_IPHASH)
 #define IsIpHash                ((x)->flags & FLAGS_IPHASH)
-
-#define SetNeedId(x)            ((x)->flags |= FLAGS_NEEDID)
-#define IsNeedId(x)             (((x)->flags & FLAGS_NEEDID) != 0)
 
 #define SetGotId(x)             ((x)->flags |= FLAGS_GOTID)
 #define IsGotId(x)              (((x)->flags & FLAGS_GOTID) != 0)
diff -uNrd ircd-hybrid-6.4.1/include/common.h ircd-hyb6.4.1-FDFr5.4/include/common.h
--- ircd-hybrid-6.4.1/include/common.h	Fri Jul 30 02:48:10 1999
+++ ircd-hyb6.4.1-FDFr5.4/include/common.h	Wed Oct 15 20:38:25 2003
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: common.h,v 1.15 1999/07/30 06:48:10 tomh Exp $
+ * $Id: common.h,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
  */
 #ifndef INCLUDED_common_h
 #define INCLUDED_common_h
diff -uNrd ircd-hybrid-6.4.1/include/config.h ircd-hyb6.4.1-FDFr5.4/include/config.h
--- ircd-hybrid-6.4.1/include/config.h	Wed Aug 20 12:19:41 2003
+++ ircd-hyb6.4.1-FDFr5.4/include/config.h	Sun Nov 16 16:31:42 2003
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: config.h,v 1.167 2003/08/20 16:19:41 ievil Exp $
+ * $Id: config.h,v 1.7 2003/10/09 03:49:54 jailbird Exp $
  */
 #ifndef INCLUDED_config_h
 #define INCLUDED_config_h
@@ -52,13 +52,13 @@
  */
 
 #define HARD_FDLIMIT_   256
-#define INIT_MAXCLIENTS 180
+#define INIT_MAXCLIENTS 230
 
 /*
  * This is how many 'buffer connections' we allow...
  * Remember, MAX_BUFFER + MAX_CLIENTS can't exceed HARD_FDLIMIT :)
  */
-#define MAX_BUFFER      60
+#define MAX_BUFFER      10
 
 /* NICKNAMEHISTORYLENGTH - size of WHOWAS array
  * this defines the length of the nickname history.  each time a user changes
@@ -68,7 +68,7 @@
  *       will be preallocated for the entire whowas array when ircd is started.
  *       You will want to crank this down if you are on a small net.
  */
-#define NICKNAMEHISTORYLENGTH 15000
+#define NICKNAMEHISTORYLENGTH 1024
 
 /* Don't change this... */
 #define HARD_FDLIMIT    (HARD_FDLIMIT_ - 10)
@@ -100,10 +100,10 @@
  *
  */
 
-#define DPATH   "/usr/local/ircd/"
-#define SPATH   "/usr/local/ircd/ircd"
+#define DPATH   "/home/ircd/FDF/"
+#define SPATH   "/home/ircd/FDF/ircd"
 #define CPATH   "ircd.conf"
-#define KPATH   "kline.conf"
+#undef KPATH   /*"kline.conf"*/
 #define DLPATH  "kline.conf"
 #define MPATH   "ircd.motd"
 #define LPATH   "ircd.log"
@@ -136,24 +136,24 @@
  * Define this to hide the ips of people spoofing from /trace etc, the +c
  * notice and from /stats I
  */
-#define HIDE_SPOOF_IPS
+#undef HIDE_SPOOF_IPS
 
 /* HIDE_ERROR_MESSAGES
  * ERROR messages coming from servers can sometimes have IPs in them.
  * This will not show any error messages that are received, a
  * consequence being you may not see squit reasons..
  */
-#define HIDE_ERROR_MESSAGES
+#undef HIDE_ERROR_MESSAGES
 
 /* NETWORK_NAME
  * Displayed in place of the servername when SERVERHIDE is enabled
  */
-#define NETWORK_NAME "EFnet"
+#define NETWORK_NAME "FDFnet"
 
 /* NETWORK_DESC
  * Displayed in place of the server info when SERVERHIDE is enabled
  */
-#define NETWORK_DESC "Eris Free Network"
+#define NETWORK_DESC "FDFnet IRC Network"
 
 
 /* TS_MAX_DELTA and TS_WARN_DELTA -  allowed delta for TS when another
@@ -169,27 +169,8 @@
  * implementation.  Once pre-hybrid5.2 servers are eradicated, we can drop
  * this down to 90 seconds or so. --Rodder
  */
-#define TS_MAX_DELTA 300        /* seconds */
-#define TS_WARN_DELTA 30        /* seconds */
-
-/* TS5
- * This will mean the oldest version of a channel will always remain after a
- * split, whereas TS3 behaviour was to allow any TS in an opless channel.
- *
- * This effectively will make splitting servers for ops useless, but could
- * cause desync on a mixed TS3/TS5 network.
- *
- * See doc/ts5.txt for more details
- * This is an EFnet requirement now.
- */
-#define  TS5 
-
-/* TS5_ONLY
- * This will disallow TS3 servers from linking
- *
- * This is an EFNet requirement now.
- */
-#define  TS5_ONLY
+#define TS_MAX_DELTA	3600	/* seconds */
+#define TS_WARN_DELTA	30	/* seconds */
 
 /* SLAVE_SERVERS - Use this to send LOCOPS and KLINES to servers you define
  * uses U: lines in ircd.conf, each server defined in an U: line
@@ -208,13 +189,13 @@
  *
  * These need to be defined if you want to use SYSLOG logging, too.
  */
-#define FNAME_USERLOG "/usr/local/ircd/users"
-#define FNAME_OPERLOG "/usr/local/ircd/opers"
+#undef FNAME_USERLOG /*"/usr/local/ircd/users"*/
+#undef FNAME_OPERLOG /*"/usr/local/ircd/opers"*/
 
 /* FNAME_OPERSPYLOG and FNAME_OPERSPYRLOG - logs of OPERSPY usage!
  */
-#define FNAME_OPERSPYLOG   "/usr/local/ircd/operspy.local.log"
-#define FNAME_OPERSPYRLOG  "/usr/local/ircd/operspy.remote.log"
+#undef FNAME_OPERSPYLOG   /*"/usr/local/ircd/operspy.local.log"*/
+#undef FNAME_OPERSPYRLOG  /*"/usr/local/ircd/operspy.remote.log"*/
 
 
 /* RFC1035_ANAL
@@ -227,7 +208,7 @@
  * Defining this will allow periods in ident replies.  Use of this is
  * strongly discouraged on public networks
  */
-#undef  ALLOW_DOT_IN_IDENT
+#undef ALLOW_DOT_IN_IDENT
 
 /* WARN_NO_NLINE
  * Define this if you want ops to get noticed about "things" trying to
@@ -236,15 +217,6 @@
  */
 #define WARN_NO_NLINE
 
-/* CUSTOM_ERR - colorful notice/error/messages
- * Defining this will use custom notice/error/messages from
- * src/messages.tab instead of stock ones in src/messages_cust.tab
- * If you prefer the "colorful" messages that Hybrid was known for,
- * or if you wish to customize the  messages, define this.
- * Otherwise leave it undef'd for plain ole boring messages.
- */
-#undef  CUSTOM_ERR
-
 /* FAILED_OPER_NOTICE - send a notice to all opers when someone
  * tries to /oper and uses an incorrect password.
  */
@@ -253,31 +225,18 @@
 /* SHOW_FAILED_OPER_ID - if FAILED_OPER_NOTICE is defined, also notify when
  * a client fails to oper because of a identity mismatch (wrong host or nick)
  */
-#undef  SHOW_FAILED_OPER_ID
+#define SHOW_FAILED_OPER_ID
 
 /* SHOW_FAILED_OPER_PASSWD - if FAILED_OPER_NOTICE is defined, also show the
  * attempted passwd
  */
-#undef  SHOW_FAILED_OPER_PASSWD
+#undef SHOW_FAILED_OPER_PASSWD
 
 /* CLIENT_SERVER - Don't be so fascist about idle clients ;)
  * changes behaviour of HTM code to make clients lag less.
  */
 #define CLIENT_SERVER
 
-/* BAN_INFO - Shows you who and when someone did a ban
- */
-#define BAN_INFO
-
-/* USE_UH - include user@host for BAN_INFO
- * define this if you want to use n!u@h for BAN_INFO
- */
-#define USE_UH
-
-/* TOPIC_INFO - Shows you who and when someone set the topic
- */
-#define TOPIC_INFO
-
 /* ANTI_NICK_FLOOD - prevents nick flooding
  * define if you want to block local clients from nickflooding
  */
@@ -286,13 +245,6 @@
 #define MAX_NICK_TIME 20
 #define MAX_NICK_CHANGES 5
 
-/* DO_IDENTD - check identd
- * if you undefine this, ircd will never check identd regardless of
- * @'s in I:lines.  You must still use @'s in your I: lines to get
- * ircd to do ident lookup even if you define this.
- */
-#define DO_IDENTD
-
 /* KLINE_WITH_REASON - show comment to client on exit
  * define this if you want users to exit with the kline/dline reason
  * (i.e. instead of "You have been K-lined" they will see the reason
@@ -315,7 +267,7 @@
  * are both defined, the client will still see the real reason on
  * connect attempts.
  */
-#define KLINE_WITH_CONNECTION_CLOSED
+#undef KLINE_WITH_CONNECTION_CLOSED
 
 /* x_LINES_OPER_ONLY - Allow only local opers to see these stats
  *
@@ -337,7 +289,7 @@
 #define B_LINES_OPER_ONLY
 #define E_LINES_OPER_ONLY
 #define F_LINES_OPER_ONLY
-#undef  I_LINES_OPER_ONLY
+#define  I_LINES_OPER_ONLY
 #undef  K_LINES_OPER_ONLY
 #undef  O_LINES_OPER_ONLY
 #define P_LINES_OPER_ONLY
@@ -357,7 +309,7 @@
  * seeing STATS p requests, look below for the answer to that
  * argument.
  */
-#undef  STATS_NOTICE
+#define  STATS_NOTICE
 
 /* STATS_P_NOTICE - See STATS p requests only, when STATS_NOTICE
  * is undefined.  This allows opers to see requests by users for
@@ -372,7 +324,7 @@
  * Why do opers need this at all? Its an invasion of privacy. bah.
  * you don't need this. -Dianora
  */
-#undef  WHOIS_NOTICE
+#define  WHOIS_NOTICE
 
 /* SHOW_REMOTE_WHOIS - Shows a notice to an oper when a client 
  * does a /whois on them, even when  the client is not on the
@@ -380,8 +332,7 @@
  * Why do opers need this at all? Its an invasion of privacy. bah.
  * you don't need this. -Dianora 
  */
-#undef SHOW_REMOTE_WHOIS
-
+#define SHOW_REMOTE_WHOIS
 
 /* WHOIS_WAIT - minimum seconds between remote use of WHOIS before
  * max use count is reset
@@ -441,14 +392,14 @@
  * mode "i" (i == invisible). Invisibility means people dont showup in
  * WHO or NAMES unless they are on the same channel as you.
  */
-#undef  NO_DEFAULT_INVISIBLE
+#define NO_DEFAULT_INVISIBLE
 
 /*
  * The compression level used for zipped links. (Suggested values: 1 to 5)
  * Above 4 will only give a rather marginal increase in compression for a
  * large increase in CPU usage.
  */
-#define ZIP_LEVEL 2
+#define ZIP_LEVEL 3
 
 /*
  * ADMIN_UMODES OPER_UMODES LOCOP_UMODES - set these to be the initial umode
@@ -461,8 +412,10 @@
 
 /*
  * HIDDEN_ADMIN - On EFnet this *must* be defined!!!
+ * This shouldn't be needed on FDFnet, hopefully.
+ * Turn it back on if you start getting DDoS'd. -JailBird
  */
-#define HIDDEN_ADMIN
+#undef HIDDEN_ADMIN
       
 /* MAXIMUM LINKS - max links for class 0 if no Y: line configured
  *
@@ -499,7 +452,7 @@
  * If you wish to have the server send 'vital' messages about server
  * to a logfile, define USE_LOGFILE.
  */
-#define USE_LOGFILE
+#undef USE_LOGFILE
 
 /* USE_SYSLOG - log errors and such to syslog()
  * If you wish to have the server send 'vital' messages about server
@@ -555,7 +508,7 @@
 /* MAXSENDQLENGTH - Max amount of internal send buffering
  * Max amount of internal send buffering when socket is stuck (bytes)
  */
-#define MAXSENDQLENGTH 15000000    /* Recommended value: 15000000 for EFnet */
+#define MAXSENDQLENGTH 500000    /* Recommended value: 15000000 for EFnet */
 
 /*  BUFFERPOOL - the maximum size of the total of all sendq's.
  *  Recommended value is 4 times MAXSENDQLENGTH.
@@ -585,7 +538,7 @@
  * When this is defined, users will not be allowed to join channels
  * while the server is split.
  */
-#undef  NO_JOIN_ON_SPLIT
+#define  NO_JOIN_ON_SPLIT
 
 /* NO_CREATE_ON_SPLIT (default behaviour)
  *
@@ -599,7 +552,7 @@
  * the net. for a leaf, 5 is fine. If the number of servers seen
  * on the net gets less than 5, a split is deemed to have happened.
  */
-#define SPLIT_SMALLNET_SIZE 5
+#define SPLIT_SMALLNET_SIZE 6
 
 /*
  * SPLIT_SMALLNET_USER_SIZE defines how many global users on the
@@ -609,7 +562,7 @@
  * number of users seen on net > SPLIT_SMALLNET_USER_SIZE start
  * counting down the SERVER_SPLIT_RECOVERY_TIME
  */
-#define SPLIT_SMALLNET_USER_SIZE 15000
+#define SPLIT_SMALLNET_USER_SIZE 300
 
 /*
  * SPLIT_PONG will send a PING to a server after the connect burst.
@@ -761,7 +714,7 @@
  * clients with a little i instead of an I in their I line
  * can be chanopped, but cannot chanop anyone else.
  */
-#undef LITTLE_I_LINES
+#define LITTLE_I_LINES
 
 /* GLINES - global Kline-like bans
  * Define this if you want GLINE support
@@ -769,20 +722,13 @@
  * three different servers must do the identical GLINE in order
  * for the G line to take effect.
  */
-#undef  GLINES
+/* #define GLINES *Always define'd now. -JailBird* */
 #define GLINEFILE       "gline.log"
 
 /* GLINE_TIME - local expire time for GLINES
- * As configured here, a GLINE will last 12 hours
- */
-#define GLINE_TIME      (12*3600)
-
-/* NO_FAKE_GLINES - disable fake glines
- * Define this if you want to stop fake glines from users who
- * dont exist.  This could possibly have an impact with services,
- * so its #undef'd by default.
+ * As configured here, a GLINE will last 72 hours (3 days)
  */
-#undef  NO_FAKE_GLINES
+#define GLINE_TIME      (72*3600)
 
 /* GLINE_REASON_FIRST (default)
  * Adopted the hybrid 7 behaviour of placing a gline based on the first reason
@@ -797,7 +743,52 @@
  * servers, but not allowed to originate here, or be sent to our clients if
  * this is undeffed.. -- fl_
  */
-#undef USE_KNOCK
+#define USE_KNOCK
+
+/*** Start code added by JailBird or Runt for the +FDF servers. ***/
+
+/* OPERS_SEE_INVISIBLE - If defined, opers can see +i users on /names,
+ * /list, /whois, and /who. -Runt
+ */
+#define OPERS_SEE_INVISIBLE
+
+/* OPERS_SEE_PRIV - If defined, opers can see +s and +p channels on /names,
+ * /list, and /who. -Runt                                                       
+ */
+#define OPERS_SEE_PRIV
+
+/* OPERS_SEE_TOPIC - If defined, oper can see (not change) topics on any
+ * channel. -JailBird
+ */
+#define OPERS_SEE_TOPIC
+
+/* IDLE_RESET - Lets you /quote IDLE to set your idle time - Runt
+ */
+#define IDLE_RESET
+
+/* INFO_OPER_ONLY - Only allow /info requests from IRC Ops. This keeps script
+ * kiddies from gaining your OS information in order to attack you.
+ */
+#define INFO_OPER_ONLY
+
+/* CHECK_CLONE - Clonebot Protection.  This feature blocks connections if more
+ * than CHECK_CLONE_LIMIT clients connect from the same host to ANY server on
+ * the network within CHECK_CLONE_PERIOD seconds.  The feature is enabled
+ * CHECK_CLONE_DELAY seconds after the server is started.
+ */
+#define CHECK_CLONE
+#define CHECK_CLONE_LIMIT     5 /* recommended value 2   */
+#define CHECK_CLONE_PERIOD   30 /* recommended value 20  */
+#define CHECK_CLONE_DELAY    90 /* 90 secs should be ok */
+
+/* ANTI_IP_SPOOF - protects against TCP sequence guessing attacks
+ * Define this if you want the server to send a random ping at USER or NICK
+ * to defeat IP sequence spoofers. Note, this will stop _some_ very few
+ * clients from using the server. MIRC/IRCII clients are fine with this though
+ */
+#define ANTI_IP_SPOOF
+
+/*** End +FDF code by JailBird and Runt. ***/
 
 /* SPOOF_IP 
  *  - Allows spoofs to be ip's instead just hostnames.
@@ -808,7 +799,7 @@
  * - in cases with drone channels one could want to join juped channels.
  *   - ievil
  */
-#undef OPER_JUPE_BYPASS
+#define OPER_JUPE_BYPASS
 
 /* RESTRICT_LOCOP
  * Add restrictions to LOCOPS to easier allow them to being added when
@@ -831,7 +822,7 @@
 
 /* INITIAL_DBUFS - how many dbufs to preallocate
  */
-#define INITIAL_DBUFS 4000 /* preallocate 16 megs of dbufs */
+#define INITIAL_DBUFS 300 /* preallocate 16 megs of dbufs */
 
 /* MAXBUFFERS - increase socket buffers
  *
@@ -999,7 +990,7 @@
  * (idea due to ThaDragon, I just couldn't find =his= code)
  * - Dianora
  */
-#undef  ANTI_SPAM_EXIT_MESSAGE
+#define ANTI_SPAM_EXIT_MESSAGE
 /* 300 is five minutes, seems reasonable */
 #define ANTI_SPAM_EXIT_MESSAGE_TIME 300
 
@@ -1016,7 +1007,7 @@
  * mtrie_conf.
  *
  */
-#undef  REJECT_HOLD
+#define REJECT_HOLD
 #define REJECT_HOLD_TIME 30
 
 /* maximum number of fd's that will be used for reject holding */
diff -uNrd ircd-hybrid-6.4.1/include/dbuf.h ircd-hyb6.4.1-FDFr5.4/include/dbuf.h
--- ircd-hybrid-6.4.1/include/dbuf.h	Sat Sep  4 16:21:08 1999
+++ ircd-hyb6.4.1-FDFr5.4/include/dbuf.h	Wed Oct 15 20:38:25 2003
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
-/* $Id: dbuf.h,v 1.6 1999/09/04 20:21:08 lusky Exp $ */
+/* $Id: dbuf.h,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $ */
 #ifndef INCLUDED_dbuf_h
 #define INCLUDED_dbuf_h
 #ifndef INCLUDED_config_h
diff -uNrd ircd-hybrid-6.4.1/include/dline_conf.h ircd-hyb6.4.1-FDFr5.4/include/dline_conf.h
--- ircd-hybrid-6.4.1/include/dline_conf.h	Tue Jul 17 22:15:19 2001
+++ ircd-hyb6.4.1-FDFr5.4/include/dline_conf.h	Wed Oct 15 20:38:25 2003
@@ -1,6 +1,6 @@
 /* dline_conf.h  -- lets muse over dlines, shall we?
  *
- * $Id: dline_conf.h,v 1.6 2001/07/18 02:15:19 lusky Exp $ 
+ * $Id: dline_conf.h,v 1.1.1.1 2003/05/09 01:49:29 jailbird Exp $ 
  */
 
 #ifndef INCLUDED_dline_conf_h
diff -uNrd ircd-hybrid-6.4.1/include/fdlist.h ircd-hyb6.4.1-FDFr5.4/include/fdlist.h
--- ircd-hybrid-6.4.1/include/fdlist.h	Sat Jul 24 03:54:00 1999
+++ ircd-hyb6.4.1-FDFr5.4/include/fdlist.h	Wed Oct 15 20:38:25 2003
@@ -1,7 +1,7 @@
 /*
  * fdlist.h
  *
- * $Id: fdlist.h,v 1.10 1999/07/24 07:54:00 tomh Exp $
+ * $Id: fdlist.h,v 1.1.1.1 2003/05/09 01:49:29 jailbird Exp $
  */
 #ifndef INCLUDED_fdlist_h
 #define INCLUDED_fdlist_h
diff -uNrd ircd-hybrid-6.4.1/include/fileio.h ircd-hyb6.4.1-FDFr5.4/include/fileio.h
--- ircd-hybrid-6.4.1/include/fileio.h	Tue Jul 13 01:58:53 1999
+++ ircd-hyb6.4.1-FDFr5.4/include/fileio.h	Wed Oct 15 20:38:25 2003
@@ -16,7 +16,7 @@
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
  *
- * $Id: fileio.h,v 1.2 1999/07/13 05:58:53 tomh Exp $
+ * $Id: fileio.h,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
  */
 #ifndef INCLUDED_fileio_h
 #define INCLUDED_fileio_h
diff -uNrd ircd-hybrid-6.4.1/include/flud.h ircd-hyb6.4.1-FDFr5.4/include/flud.h
--- ircd-hybrid-6.4.1/include/flud.h	Thu Oct  5 23:00:56 2000
+++ ircd-hyb6.4.1-FDFr5.4/include/flud.h	Wed Oct 15 20:38:25 2003
@@ -17,7 +17,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: flud.h,v 1.4 2000/10/06 03:00:56 lusky Exp $ 
+ * $Id: flud.h,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $ 
  */
 #ifndef INCLUDED_flud_h
 #define INCLUDED_flud_h
diff -uNrd ircd-hybrid-6.4.1/include/hash.h ircd-hyb6.4.1-FDFr5.4/include/hash.h
--- ircd-hybrid-6.4.1/include/hash.h	Tue Jul 17 21:37:05 2001
+++ ircd-hyb6.4.1-FDFr5.4/include/hash.h	Wed Oct 15 20:38:25 2003
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: hash.h,v 1.9 2001/07/18 01:37:05 lusky Exp $
+ *   $Id: hash.h,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
  */
 #ifndef INCLUDED_hash_h
 #define INCLUDED_hash_h
diff -uNrd ircd-hybrid-6.4.1/include/irc_string.h ircd-hyb6.4.1-FDFr5.4/include/irc_string.h
--- ircd-hybrid-6.4.1/include/irc_string.h	Sun Dec  9 21:56:25 2001
+++ ircd-hyb6.4.1-FDFr5.4/include/irc_string.h	Wed Oct 15 20:38:25 2003
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: irc_string.h,v 1.17 2001/12/10 02:56:25 jdc Exp $
+ *   $Id: irc_string.h,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
  */
 #ifndef INCLUDED_irc_string_h
 #define INCLUDED_irc_string_h
diff -uNrd ircd-hybrid-6.4.1/include/ircd.h ircd-hyb6.4.1-FDFr5.4/include/ircd.h
--- ircd-hybrid-6.4.1/include/ircd.h	Sat Aug 16 15:58:33 2003
+++ ircd-hyb6.4.1-FDFr5.4/include/ircd.h	Wed Oct 15 20:38:25 2003
@@ -19,7 +19,7 @@
  *
  * "ircd.h". - Headers file.
  *
- * $Id: ircd.h,v 1.25 2003/08/16 19:58:33 ievil Exp $
+ * $Id: ircd.h,v 1.1.1.2 2003/10/09 02:47:16 jailbird Exp $
  *
  */
 #ifndef INCLUDED_ircd_h
diff -uNrd ircd-hybrid-6.4.1/include/ircd_defs.h ircd-hyb6.4.1-FDFr5.4/include/ircd_defs.h
--- ircd-hybrid-6.4.1/include/ircd_defs.h	Tue Jun 24 21:34:19 2003
+++ ircd-hyb6.4.1-FDFr5.4/include/ircd_defs.h	Wed Oct 15 20:38:25 2003
@@ -17,7 +17,7 @@
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
  *
- * $Id: ircd_defs.h,v 1.12 2003/06/25 01:34:19 ievil Exp $
+ * $Id: ircd_defs.h,v 1.3 2003/10/09 03:49:54 jailbird Exp $
  *
  * ircd_defs.h - Global size definitions for record entries used
  * througout ircd. Please think 3 times before adding anything to this
@@ -35,20 +35,20 @@
 #define HOSTLEN         63      /* Length of hostname.  Updated to         */
                                 /* comply with RFC1123                     */
 
-#define NICKLEN         9       /* Necessary to put 9 here instead of 10
+#define NICKLEN         15      /* Necessary to put 9 here instead of 10
                                  * if s_msg.c/m_nick has been corrected.
                                  * This preserves compatibility with old
                                  * servers --msa
                                  */
 #define USERLEN         10
 #define REALLEN         50
-#define TOPICLEN        120     /* old value 90, truncated on other servers */
+#define TOPICLEN        255     /* old value 120, truncated on other servers */
 #define KILLLEN         90      
 #define CHANNELLEN      200
 #define KEYLEN          23
 #define BUFSIZE         512     /* WARNING: *DONT* CHANGE THIS!!!! */
 #define MAXRECIPIENTS   20
-#define MAXBANS         25      /* bans + exceptions together */
+#define MAXBANS         50      /* bans + exceptions together */
 #define MAXBANLENGTH    1024
 
 #define OPERWALL_LEN    400     /* can be truncated on other servers */
diff -uNrd ircd-hybrid-6.4.1/include/ircd_signal.h ircd-hyb6.4.1-FDFr5.4/include/ircd_signal.h
--- ircd-hybrid-6.4.1/include/ircd_signal.h	Fri Jul 23 01:05:31 1999
+++ ircd-hyb6.4.1-FDFr5.4/include/ircd_signal.h	Wed Oct 15 20:38:25 2003
@@ -17,7 +17,7 @@
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
  *
- * $Id: ircd_signal.h,v 1.1 1999/07/23 05:05:31 tomh Exp $
+ * $Id: ircd_signal.h,v 1.1.1.1 2003/05/09 01:49:29 jailbird Exp $
  *
  */
 #ifndef INCLUDED_ircd_signal_h
diff -uNrd ircd-hybrid-6.4.1/include/list.h ircd-hyb6.4.1-FDFr5.4/include/list.h
--- ircd-hybrid-6.4.1/include/list.h	Tue Jul 27 22:42:12 1999
+++ ircd-hyb6.4.1-FDFr5.4/include/list.h	Wed Oct 15 20:38:25 2003
@@ -20,7 +20,7 @@
  * "list.h". - Headers file.
  *
  *
- * $Id: list.h,v 1.4 1999/07/28 02:42:12 db Exp $
+ * $Id: list.h,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
  *
  */
 
diff -uNrd ircd-hybrid-6.4.1/include/listener.h ircd-hyb6.4.1-FDFr5.4/include/listener.h
--- ircd-hybrid-6.4.1/include/listener.h	Tue Jul 17 21:37:05 2001
+++ ircd-hyb6.4.1-FDFr5.4/include/listener.h	Wed Oct 15 20:38:25 2003
@@ -16,7 +16,7 @@
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
  *
- * $Id: listener.h,v 1.5 2001/07/18 01:37:05 lusky Exp $
+ * $Id: listener.h,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
  */
 #ifndef INCLUDED_listener_h
 #define INCLUDED_listener_h
diff -uNrd ircd-hybrid-6.4.1/include/m_commands.h ircd-hyb6.4.1-FDFr5.4/include/m_commands.h
--- ircd-hybrid-6.4.1/include/m_commands.h	Sat Jun 14 19:23:39 2003
+++ ircd-hyb6.4.1-FDFr5.4/include/m_commands.h	Wed Oct 15 20:38:25 2003
@@ -17,7 +17,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: m_commands.h,v 1.9 2003/06/14 23:23:39 ievil Exp $
+ * $Id: m_commands.h,v 1.4 2003/10/09 03:49:54 jailbird Exp $
  */
 #ifndef INCLUDED_m_commands_h
 #define INCLUDED_m_commands_h
@@ -46,6 +46,7 @@
 extern int m_private(struct Client *,struct Client *,int,char **);
 extern int m_knock(struct Client *,struct Client *,int,char **);
 extern int m_topic(struct Client *,struct Client *,int,char **);
+extern int m_stopic(struct Client *,struct Client *,int,char **);
 extern int m_join(struct Client *,struct Client *,int,char **);
 extern int m_part(struct Client *,struct Client *,int,char **);
 extern int m_mode(struct Client *,struct Client *,int,char **);
@@ -54,6 +55,7 @@
 extern int m_wallops(struct Client *,struct Client *,int,char **);
 extern int m_kick(struct Client *,struct Client *,int,char **);
 extern int m_nick(struct Client *,struct Client *,int,char **);
+extern int m_snick(struct Client *,struct Client *,int,char **);
 extern int m_error(struct Client *,struct Client *,int,char **);
 extern int m_notice(struct Client *,struct Client *,int,char **);
 extern int m_invite(struct Client *,struct Client *,int,char **);
@@ -102,4 +104,5 @@
 extern int m_dns(struct Client *,struct Client *,int,char **);
 extern int m_htm(struct Client *,struct Client *,int,char **);
 extern int m_set(struct Client *,struct Client *,int,char **);
+extern int m_idle(struct Client *,struct Client *,int,char **);
 #endif /* INCLUDED_m_commands_h */
diff -uNrd ircd-hybrid-6.4.1/include/m_gline.h ircd-hyb6.4.1-FDFr5.4/include/m_gline.h
--- ircd-hybrid-6.4.1/include/m_gline.h	Thu Nov 29 01:28:23 2001
+++ ircd-hyb6.4.1-FDFr5.4/include/m_gline.h	Wed Oct 15 20:38:25 2003
@@ -19,7 +19,7 @@
  *
  * "m_gline.h". - Headers file.
  *
- * $Id: m_gline.h,v 1.5 2001/11/29 06:28:23 db Exp $
+ * $Id: m_gline.h,v 1.2 2003/05/24 18:29:19 jailbird Exp $
  *
  */
 
@@ -39,7 +39,6 @@
 struct Client;
 struct ConfItem;
 
-#ifdef  GLINES
 extern struct ConfItem* find_gkill(struct Client *, char *);
 extern struct ConfItem* find_is_glined(const char *, const char *);
 extern void   flush_glines(void);             
@@ -76,5 +75,3 @@
 #define GLINE_PENDING_EXPIRE 600
 #endif
 
-
-#endif
